For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All Groups
      • POSTCreate Group
      • GETGet Group
      • POSTUpdate Group
      • DELDelete Group
      • POSTGenerate JWT Token
      • POSTAdd Entities
      • POSTRemove Entities
Logo
Sign inBook a demo
API ReferenceEntity Group

Get All Groups

GET
https://api.mercoa.com/entityGroups
GET
/entityGroups
$curl https://api.mercoa.com/entityGroups \
> -H "Authorization: Bearer <token>"
1{
2 "count": 3,
3 "hasMore": false,
4 "data": [
5 {
6 "id": "entg_a3582b70-fd04-4888-9185-a640ae9048be",
7 "entities": [
8 {
9 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
10 "name": "Acme Inc.",
11 "email": "customer@acme.com",
12 "isCustomer": true,
13 "accountType": "business",
14 "profile": {
15 "business": {
16 "legalBusinessName": "Acme Inc.",
17 "taxIDProvided": true,
18 "email": "customer@acme.com",
19 "businessType": "llc",
20 "phone": {
21 "countryCode": "1",
22 "number": "4155551234"
23 },
24 "address": {
25 "addressLine1": "123 Main St",
26 "city": "San Francisco",
27 "stateOrProvince": "CA",
28 "postalCode": "94105",
29 "addressLine2": "Unit 1",
30 "country": "US"
31 },
32 "ownersProvided": true,
33 "taxId": {
34 "ein": {
35 "number": "12-3456789"
36 }
37 }
38 }
39 },
40 "status": "verified",
41 "acceptedTos": true,
42 "isPayor": true,
43 "isPayee": false,
44 "isNetworkPayor": false,
45 "isNetworkPayee": false,
46 "createdAt": "2024-01-01T00:00:00Z",
47 "updatedAt": "2024-01-02T00:00:00Z",
48 "foreignId": "MY-DB-ID-12345"
49 },
50 {
51 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
52 "name": "Big Box Store",
53 "email": "vendor@bigboxstore.com",
54 "isCustomer": false,
55 "accountType": "business",
56 "profile": {
57 "business": {
58 "legalBusinessName": "Big Box Store",
59 "taxIDProvided": false,
60 "email": "vendor@bigboxstore.com",
61 "businessType": "publicCorporation",
62 "ownersProvided": false
63 }
64 },
65 "status": "unverified",
66 "acceptedTos": false,
67 "isPayor": false,
68 "isPayee": true,
69 "isNetworkPayor": false,
70 "isNetworkPayee": false,
71 "createdAt": "2024-01-01T00:00:00Z",
72 "updatedAt": "2024-01-02T00:00:00Z",
73 "foreignId": "MY-DB-ID-90909"
74 }
75 ],
76 "metadata": {
77 "key1": "value1"
78 },
79 "foreignId": "your-group-id",
80 "name": "AcmeConglomerate",
81 "emailToName": "acmegroup"
82 }
83 ]
84}
Get all entity groups. If using a JWT, will return all groups the entity is part of. If using an API key, will return all groups for the organization.
Was this page helpful?

Create Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
The maximum number of results to return. Defaults to 1. Max is 20.
startingAfterstringOptional
searchstringOptional

Search entity groups by name. This will perform a case-insensitive search on the group name.

Response

This endpoint returns an object.
countinteger
hasMoreboolean
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented